#! /usr/bin/perl

# From the Perl FAQ
sub commify {
    local($_) = shift;
    1 while s/^(-?\d+)(\d{3})/$1,$2/;
    return $_;
}

$count = 0;
while (<>) {
    chop;
    $line[$count++] = $_;
}

($i_date) = split (' ', $line[0]);
$i_date =~ s/(\d\d)(\d\d)(\d\d)/$1-$2-$3/;

print STDOUT "Top $count newsgroups by number of articles in primary newsgroup: $i_date
  Number of Articles
  Primary  Crosspost      Total  Newsgroup
---------  ---------  ---------  ----------------------------------------------
";

for (@line) {
    ($i_date, $i_sizep, $i_countp, $i_sizex, $i_countx, $i_group) = split;
    printf STDOUT ("%9s  %9s  %9s  %s\n",
		   &commify($i_countp),
		   &commify($i_countx),
		   &commify($i_countp + $i_countx),
		   $i_group);
}
